org.apache.maven.artifact.factory

## Class DefaultArtifactFactory

- java.lang.Object
- - org.apache.maven.artifact.factory.DefaultArtifactFactory

All Implemented Interfaces:
  ArtifactFactory

Direct Known Subclasses:
  ProjectArtifactFactory

    public class DefaultArtifactFactory
    extends java.lang.Object
    implements ArtifactFactory

### Field Summary

### Fields inherited from interface org.apache.maven.artifact.factory.ArtifactFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactFactory()`

### Method Summary

Methods
`Artifact` `createArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String scope, java.lang.String type)`
`Artifact` `createArtifactWithClassifier(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier)`
`Artifact` `createBuildArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String packaging)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, boolean optional)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, java.lang.String inheritedScope)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, java.lang.String inheritedScope, boolean optional)`
`Artifact` `createExtensionArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange)`
`Artifact` `createParentArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`
`Artifact` `createPluginArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange)`
`Artifact` `createProjectArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`
`Artifact` `createProjectArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String scope)`
`protected ArtifactHandlerManager` `getArtifactHandlerManager()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactFactory

    public DefaultArtifactFactory()

### Method Detail

#### createArtifact

    public Artifact createArtifact(java.lang.String groupId,
                          java.lang.String artifactId,
                          java.lang.String version,
                          java.lang.String scope,
                          java.lang.String type)

Specified by:
  `createArtifact` in interface `ArtifactFactory`

#### createArtifactWithClassifier

    public Artifact createArtifactWithClassifier(java.lang.String groupId,
                                        java.lang.String artifactId,
                                        java.lang.String version,
                                        java.lang.String type,
                                        java.lang.String classifier)

Specified by:
  `createArtifactWithClassifier` in interface `ArtifactFactory`

#### createDependencyArtifact

    public Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope)

Specified by:
  `createDependencyArtifact` in interface `ArtifactFactory`

#### createDependencyArtifact

    public Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    boolean optional)

Specified by:
  `createDependencyArtifact` in interface `ArtifactFactory`

#### createDependencyArtifact

    public Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    java.lang.String inheritedScope)

Specified by:
  `createDependencyArtifact` in interface `ArtifactFactory`

#### createDependencyArtifact

    public Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    java.lang.String inheritedScope,
                                    boolean optional)

Specified by:
  `createDependencyArtifact` in interface `ArtifactFactory`

#### createBuildArtifact

    public Artifact createBuildArtifact(java.lang.String groupId,
                               java.lang.String artifactId,
                               java.lang.String version,
                               java.lang.String packaging)

Specified by:
  `createBuildArtifact` in interface `ArtifactFactory`

#### createProjectArtifact

    public Artifact createProjectArtifact(java.lang.String groupId,
                                 java.lang.String artifactId,
                                 java.lang.String version)

Specified by:
  `createProjectArtifact` in interface `ArtifactFactory`

#### createParentArtifact

    public Artifact createParentArtifact(java.lang.String groupId,
                                java.lang.String artifactId,
                                java.lang.String version)

Specified by:
  `createParentArtifact` in interface `ArtifactFactory`

#### createPluginArtifact

    public Artifact createPluginArtifact(java.lang.String groupId,
                                java.lang.String artifactId,
                                VersionRange versionRange)

Specified by:
  `createPluginArtifact` in interface `ArtifactFactory`

#### createProjectArtifact

    public Artifact createProjectArtifact(java.lang.String groupId,
                                 java.lang.String artifactId,
                                 java.lang.String version,
                                 java.lang.String scope)

Specified by:
  `createProjectArtifact` in interface `ArtifactFactory`

#### createExtensionArtifact

    public Artifact createExtensionArtifact(java.lang.String groupId,
                                   java.lang.String artifactId,
                                   VersionRange versionRange)

Specified by:
  `createExtensionArtifact` in interface `ArtifactFactory`

#### getArtifactHandlerManager

    protected ArtifactHandlerManager getArtifactHandlerManager()